checksums.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
---
2
2
SHA256:
3
- metadata.gz: 07a5dbf9862a89755b6ea1d829651466227f856d27e203f5dd53a4466b576d27
4
- data.tar.gz: 710753e8b26f19e564ceb8b16224419f3c2cfd4bd1247226f197d9c3a2ebf05b
3
+ metadata.gz: 4d4b47a9a6f51f046ef7121c81e2115a8a29d0f8e5e59dc04ae7138a9450f0b4
4
+ data.tar.gz: f02c7528ec93368858b5c3bc1030f85e7cc87d50f9b179f1a72c37adc28a558d
5
5
SHA512:
6
- metadata.gz: 196f8bf345b53f7c61c191ffbae886cd2c8bf8aac1996e2e3631e8ff114645e4325144ecf9184609133d9886d27911db2858a572163feaa87c67fd7774a5c75c
7
- data.tar.gz: f4154249b9f00553d7b034fe2f24f48b26a98ad9f2c10881a2b98b7170384177b10621a6360f96598084cd02259c357da519da24a74d223768ddc05705aeb66d
6
+ metadata.gz: bf0994a2dc08b62c102f4827f247fa0f13893d12b71c4a87ed48ecf3b1951bd56bfd226a5a9b51503cfad0de126927cbd1ca541140e9ae4b9d193ece517e34e0
7
+ data.tar.gz: 8db930f7b38b193aafc102a8c8eac937e21b83d4dd6911dd041a264e172d0ae68713d6a83db035ae78ec23f2ec034c0fb0995396cd074cf3f2525d25a5ee2ef2
data/lib/bsm/model/eager_descendants.rb CHANGED
@@ -15,7 +15,7 @@ module Bsm::Model::EagerDescendants
15
15
load_path = $LOAD_PATH.find do |path|
16
16
File.exist? File.join(path, "#{name.underscore}.rb")
17
17
end
18
- Dir[File.join(load_path, parent_name.underscore, '**', '*.rb')].each do |file|
18
+ Dir[File.join(load_path, module_parent_name.underscore, '**', '*.rb')].each do |file|
19
19
ActiveSupport::Dependencies.depend_on file
20
20
end
21
21
@__eagerly_constantized__ = true
metadata CHANGED
@@ -1,29 +1,29 @@
1
1
--- !ruby/object:Gem::Specification
2
2
name: bsm-models
3
3
version: !ruby/object:Gem::Version
4
- version: 0.11.0
4
+ version: 0.12.0
5
5
platform: ruby
6
6
authors:
7
7
- Dimitrij Denissenko
8
8
autorequire:
9
9
bindir: bin
10
10
cert_chain: []
11
- date: 2019-02-13 00:00:00.000000000 Z
11
+ date: 2019-08-27 00:00:00.000000000 Z
12
12
dependencies:
13
13
- !ruby/object:Gem::Dependency
14
14
name: activerecord
15
15
requirement: !ruby/object:Gem::Requirement
16
16
requirements:
17
- - - "~>"
17
+ - - ">="
18
18
- !ruby/object:Gem::Version
19
- version: '5.1'
19
+ version: '6.0'
20
20
type: :runtime
21
21
prerelease: false
22
22
version_requirements: !ruby/object:Gem::Requirement
23
23
requirements:
24
- - - "~>"
24
+ - - ">="
25
25
- !ruby/object:Gem::Version
26
- version: '5.1'
26
+ version: '6.0'
27
27
- !ruby/object:Gem::Dependency
28
28
name: railties
29
29
requirement: !ruby/object:Gem::Requirement
@@ -98,16 +98,16 @@ dependencies:
98
98
name: sqlite3
99
99
requirement: !ruby/object:Gem::Requirement
100
100
requirements:
101
- - - "~>"
101
+ - - ">="
102
102
- !ruby/object:Gem::Version
103
- version: 1.3.6
103
+ version: '0'
104
104
type: :development
105
105
prerelease: false
106
106
version_requirements: !ruby/object:Gem::Requirement
107
107
requirements:
108
- - - "~>"
108
+ - - ">="
109
109
- !ruby/object:Gem::Version
110
- version: 1.3.6
110
+ version: '0'
111
111
description: ''
112
112
email: dimitrij@blacksquaremedia.com
113
113
executables: []
@@ -139,14 +139,14 @@ required_ruby_version: !ruby/object:Gem::Requirement
139
139
requirements:
140
140
- - ">="
141
141
- !ruby/object:Gem::Version
142
- version: 2.3.0
142
+ version: '2.5'
143
143
required_rubygems_version: !ruby/object:Gem::Requirement
144
144
requirements:
145
145
- - ">="
146
146
- !ruby/object:Gem::Version
147
- version: 1.8.0
147
+ version: '0'
148
148
requirements: []
149
- rubygems_version: 3.0.2
149
+ rubygems_version: 3.0.3
150
150
signing_key:
151
151
specification_version: 4
152
152
summary: BSM's very custom model extensions